Mandriva Linux Security Advisory : ntp (MDVSA-2009:328)

Medium Nessus Plugin ID 43077


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability has been found and corrected in ntp :

Robin Park and Dmitri Vinokurov discovered a flaw in the way ntpd handled certain malformed NTP packets. ntpd logged information about all such packets and replied with an NTP packet that was treated as malformed when received by another ntpd. A remote attacker could use this flaw to create an NTP packet reply loop between two ntpd servers via a malformed packet with a spoofed source IP address and port, causing ntpd on those servers to use excessive amounts of CPU time and fill disk space with log messages (CVE-2009-3563).

This update provides a solution to this vulnerability.


Update the affected ntp, ntp-client and / or ntp-doc packages.

Plugin Details

Severity: Medium

ID: 43077

File Name: mandriva_MDVSA-2009-328.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2009/12/09

Modified: 2015/01/14

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:ntp, p-cpe:/a:mandriva:linux:ntp-client, p-cpe:/a:mandriva:linux:ntp-doc, cpe:/o:mandriva:linux:2008.0, cpe:/o:mandriva:linux:2009.0, cpe:/o:mandriva:linux:2009.1, cpe:/o:mandriva:linux:2010.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/12/08

Reference Information

CVE: CVE-2009-3563

BID: 37255

MDVSA: 2009:328